Subject: RE: [Enum] How to correctly set up the request URI?

From: "Creighton, Tom" <[email-masked]>
Date: Thu, 1 Jun 2006 11:57:34 -0400

Maybe the service provider has some sort of segregated network
(physically or logically) and wants/needs to associate each its
subscribers with a particular network segment.  If the provider went
with the flat model of provB.net, each of its proxies would have to
accept requests destined to all of its customers and would then have to
route the request to the appropriate region or division of its network.
If the provider went with the hierarchical approach of
sbc4711.provB.net, all of the requests would already be routed to the
appropriate ingress point.  This could very well save a service provider
a lot of money in route proxy equipment although might cost more on the
provisioning side.

That is my guess.

> -----Original Message-----
> From: Stastny Richard [mailto:[email-masked]]
> Sent: Thursday, June 01, 2006 11:30
> To: Creighton, Tom; [email-masked]
> Cc: [email-masked]
> Subject: RE: [Enum] How to correctly set up the request URI?
> 
> Thank you, Tom
> 
> just a minor additional question:
> 
> > In either case, after the provider A proxy performs an ENUM query
and
> > rewrites the request URI, it should behave as a UAC and follow the
> > procedures outlined in Section 4 of RFC3263 to determine the IP
> address,
> > port, and transport protocol for the provider B UAS.
> 
> If I have to do this according to RFC3263 anyway, why put
> the sbc4711.provB.net into ENUM in the first place?
> 
> -sta
> 
> 
> > -----Original Message-----
> > From: Creighton, Tom [mailto:[email-masked]]
> > Sent: Thursday, June 01, 2006 4:36 PM
> > To: Stastny Richard; [email-masked]
> > Cc: [email-masked]
> > Subject: RE: [Enum] How to correctly set up the request URI?
> >
> >
> >
> > > -----Original Message-----
> > > From: Stastny Richard [mailto:[email-masked]]
> > > Sent: Thursday, June 01, 2006 09:06
> > > To: [email-masked]
> > > Cc: [email-masked]
> > > Subject: [Enum] How to correctly set up the request URI?
> > >
> > > Folks,
> > >
> > > Question for clarification:
> > >
> > > In the discussions here on how to populate sip URI in
Infrastructure
> > > ENUM to derive the Call Routing data for SPEERMINT  two
> > > lines of thought exist:
> > >
> > > The Enumservice SIP in Infrastructure ENUM should contain
> > > 1. the address-of-record of the user: e.g.
sip:[email-masked]
> > > 2. the ingress point into the provider network:
> > > e.g. sip:[email-masked]
> > >
> > > The originating UAC has in this case set the To: field to
> > > tel:+4319793321 and the Request-URI to e.g.
> > > sip:+4319793321provA.net;user=phone. This caused the
> > > ENUM query at the proxy of provider A
> > >
> > > The question is how the proxy of provider A is now
> > > setting up the request URI in cases mentioned above?
> > >
> > > Does the UAS from provider B accept calls to sbc7411.provB.net,
> > > or must the request URI set to the proper AoR as described in
> > > 8.2.2.1 of RFC 3261? If yes, only option 1 is possible in ENUM.
> >
> > [Tom Creighton wrote:]
> > From section 8.2.2.1 of RFC3261:	"If the Request-URI does not
> > identify an address that the UAS is willing to accept requests for,
it
> > SHOULD reject the request with a 404 (Not Found) response."
> >
> > As long as the UAS from provider B is "willing" to accept the
request,
> > either should work.  Since provider B is populating Infrastructure
> ENUM,
> > one would hope that they would coordinate this data with the
> > configuration of their proxies.
> >
> > Besides, how do you actually know that sbc4441.provB.net is actually
a
> > hostname and isn't a subdomain?
> >
> > In either case, after the provider A proxy performs an ENUM query
and
> > rewrites the request URI, it should behave as a UAC and follow the
> > procedures outlined in Section 4 of RFC3263 to determine the IP
> address,
> > port, and transport protocol for the provider B UAS.
> >
> > >
> > > I would also like to draw the attention to section 3 of
> > > RFC3761 (SIP Enumservice) explaining the usage of AoR in
> > > ENUM.
> > >
> > > Regards
> > >
> > > -sta
> > >
> > >
> > > _______________________________________________
> > > enum mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/enum

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: "Brian Rosen" <[email-masked]>
Date: Thu, 1 Jun 2006 14:18:27 -0400

I think this is not correct.

If the AoR is provB.net, then Provider B has technology to route incoming
calls addressed to provB.net to the sbc4711.provB.net, and it will use its
existing mechanism to do so.  The same AoR would be used for on-net as well
as off-net routing and the same routing path would be used.  The same
routing proxies would be used.  Capacity issues shouldn't be an issue with
this technology.

Brian

-----Original Message-----
From: Creighton, Tom [mailto:[email-masked]] 
Sent: Thursday, June 01, 2006 11:58 AM
To: Stastny Richard; [email-masked]
Cc: [email-masked]
Subject: RE: [Enum] How to correctly set up the request URI?

That is my guess.

and
Infrastructure
it
request,
a
and